<?php

/**
 * Created by PhpStorm.
 * User: Pablo García Sanz
 * Date: 22/02/2018
 * Time: 18:46
 */
class ContextoCombate
{
 private $emparejamiento;

    /**
     * ContextoCombate constructor.
     * @param IEmparejamiento $emparejamiento
     */
 public function __construct(IEmparejamiento $emparejamiento)
 {
     $this -> emparejamiento = $emparejamiento;
 }

 public function emparejar($competidores) {
     return $this -> emparejamiento -> emparejar($competidores);
 }
}